## anerd 1.3

=== debian/changelog ===
anerd (1.3-0ubuntu1) raring; urgency=low

  * anerd.1, anerd.c, anerd-client, anerd-client.1, AUTHORS,
    debian/anerd-server.upstart, debian/copyright:
    - updated email addresses and author information

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 22 Jan 2013 10:38:35 -0600

anerd (1.2-0ubuntu1) raring; urgency=low

  [ Dustin Kirkland ]
  * debian/control, debian/cron.d:
    - use run-one for cronjob
  * anerd-client:
    - clean up client, make more modular, remove some variables, uses pipes
      to keep everything in memory
  * debian/anerd-client.install, debian/anerd-server.install,
    debian/control, debian/copyright, debian/cron.d => debian/anerd-
    client.cron.d, debian/default => debian/anerd-client.default,
    debian/upstart => debian/anerd-server.upstart:
    - split package into a server and client package, with a meta
      package depending on both
  * anerd.1, anerd-client.1:
    - manpage fixes
  * debian/anerd-client.cron.d, debian/anerd-client.default:
    - add some inline documentation
    - use the default file for setting defaults (ie, uncomment)
  * debian/control:
    - bump standards
  * debian/anerd-server.manpages, debian/manpages => debian/anerd-
    client.manpages, Makefile.am:
    - install manpages (perhaps there's a better automake way of doing this?)
  * anerd.c:
    - rename "sum" to "crc"
  * debian/anerd-server.upstart:
    - upstart needs to expect the fork
    - upstart does not need to sudo to the daemon user because anerd does
      this automatically
  * anerd-client:
    - use a $cmd variable populated with correct parameters
  * anerd-client, debian/control:
    - reluctantly add support for netcat
  * anerd-client, anerd-client.1:
    - use a default file for configuration
  * anerd-client:
    - emulate the syslog printing from the server

  [ Wesley Wiedenmeier ]
  * anerd.c, anerd-client, debian/default:
    - add ipv6 support
  * anerd.1, anerd.c, anerd-client.1, debian/manpages:
    - added manpages
    - dropped unused global

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 22 Jan 2013 10:38:24 -0600

anerd (1.1-0ubuntu1) quantal; urgency=low

  * anerd.c:
    - define the default total exchange size
    - also define and use a default payload size
    - break up the total exchange to a bunch of smaller payloads, to increase
      the randomness of UDP packet ordering and timing
    - improve some inline documentation
    - lower logging to debug from info
    - allocate an extra byte for the data binary string
    - use a separate pointer for segmenting and moving through the data string
    - no need for null-bytes, since binary data could have null bytes within
    - alphabetize includes
    - change perrors to syslog errors
    - move daemon() function
  * Makefile.am:
    - fix up the build, clean out the binary and log files
  * anerd.c, anerd-client, debian/control, debian/cron.d,
    debian/default, debian/install, Makefile.am:
    - drop the anerd client in the C program entirely
    - the C program is now the server exclusively
    - add a bash script client, which can loop over a pool of anerd servers,
      and broadcast to the local network
    - recommend the socat package/utility, which is used to broadcast to the
      local network from the bash script
    - add a cron job to run the anerd-client regularly
    - add a default configuration file for configuring the pool and other
      tunables
    - remove the unnessary install file

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 27 Sep 2012 15:40:23 -0500

anerd (1.0-0ubuntu1) quantal; urgency=low

  [ Dustin Kirkland ]
  * initial release
  * === added directory debian, === added directory debian/source,
    anerd, debian/compat, debian/control, debian/copyright,
    debian/install, debian/rules, debian/source/format, debian/upstart:
    - added packaging
  * anerd, anerd.conf, debian/install, debian/upstart:
    - add a configuration file
    - run as daemon (non-root) user
  * anerd.c, AUTHORS, ChangeLog, configure.ac, COPYING,
    debian/copyright, debian/upstart, INSTALL, Makefile.am, NEWS,
    README:
    - ported from python to C
    - added autoconf/automake build
    - changed license from GPLv3 to Apache2.0 for portability to other
      UNIX platforms
  * anerd.conf, debian/control, debian/install, debian/upstart:
    - drop conf file, add options to upstart script
    - update build deps
  * anerd.c:
    - use syslog, open files/sockets only once per fork
    - catch all responses to a client broadcast
    - use a common function for salt calculation
    - implement a very simple checksum of random data
    - use uint64_t for platform compatibility
    - add entropy to pool in client read
    - simplify salt generation
    - simplify log printing
    - whitespace changes only, 80 char width
  * debian/install:
    - drop installation of default file

  [ Wesley Wiedenmeier ]
  * anerd.c:
    - use getopt for command line parsing
    - Modified code to fork twice then kill the parent process,
      freeing the terminal that spawns the daemons, added daemonize()
      function to safely daemonize the program.
    - Improved entering into daemon status by moving daemon() call to
      after intilization of server and client, so that errors
      encountered in intilization are written to the terminal.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 04 Sep 2012 18:14:40 -0500
