## anerd 1.4

=== debian/changelog ===
anerd (1.4-0ubuntu1) raring; urgency=low

  [ Dustin Kirkland ]
  * anerd-tcp.go:
    - add a very small, basic anerd-tcp server
    - clean up via gofmt
  * anerd-client:
    - count the number of bytes received correctly using a tmpfile
    - adjust info messages slightly
  * anerd.c:
    - drop crc from logging, change messages to info from debug
  * debian/anerd-client.default:
    - default to anerd.gazzang.net now that its up for good
  * anerd-tcp, anerd-tcp.go, debian/anerd-tcp-common.install,
    debian/anerd-tcp.postinst, debian/anerd-tcp.upstart, debian/anerd-
    web.upstart, debian/control:
    - create two small packages, one to launch anerd-tcp->80 and
      anerd-tcp->443
      + both depend on anerd-tcp-common, which provides the go script
    - add a postinst that generates a self-signed cert if there is none;
      obviously, one would want to replace these with real certs if
      security matters to you
    - create two upstart scripts that start the web service on each port
      + means you can install one, or the other, or both
  * anerd-client, debian/anerd-client.default:
    - fix communication with remote servers
    - make the wait time configurable, 0.1s by default
    - only broadcast when no specific servers are specified
    - add message on broadcast bytes sent
  * anerd-tcp:
    - add interpreter
  * anerd-tcp.1, debian/anerd-tcp-common.manpages:
    - add documentation
  * anerd-tcp.go:
    - ensure that we read enough bytes
  * anerd.1 => anerd-udp.1, anerd.c => anerd-udp.c, anerd-web.1 =>
    anerd-tcp.1, anerd-web => anerd-tcp, anerd-web.go => anerd-tcp.go,
    debian/anerd-server.anerd-udp.upstart, debian/anerd-server.default,
    debian/anerd-server.install, debian/anerd-server.manpages,
    debian/anerd-server.upstart => debian/anerd-server.anerd-
    tcp.upstart, debian/anerd-web-common.install, debian/anerd-web-
    common.manpages, debian/anerd-webs.postinst => debian/anerd-
    server.postinst, debian/anerd-webs.upstart, debian/anerd-
    web.upstart, debian/control, debian/rules, Makefile.am:
    - rename the C program to anerd-udp
    - create separate upstart scripts for anerd-tcp and anerd-udp
    - update documentation
    - drop anerd-web* packages
  * debian/anerd-client.postinst, debian/control, debian/anerd-client.install:
    - keep the initramfs code, but don't automatically update the initramfs
      for now, as this can render a machine without networking unbootable;
      re-enable this when we have a workaround for that
  * debian/anerd-server.postinst:
    - fix typo

  [ Hector Acosta ]
  * anerd.c:
    - Only call srandom() once

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 05 Feb 2013 09:50:25 -0600
