=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installinit:
	dh_installinit --name=anerd-tcp
	dh_installinit --name=anerd-udp
	dh_installinit
